<div class="card ne-container {{ entity.type }}" 
	[class.inList]="inList"
	[class.contentOpened]="contentOpened">
	<div class="card-header ne-header" (click)="toggleContent()">
		<fa-icon [icon]="contentOpened ? 'caret-down' : 'caret-right'" class="icon toggler" 
			*ngIf="inList"></fa-icon>
		<fa-icon *ngIf="entity.type === 'person'" icon="user" class="icon"></fa-icon>
		<fa-icon *ngIf="entity.type === 'place'" icon="map-marker" class="icon"></fa-icon>
		{{ entity.header }}
	</div>
	<div class="card-body ne-content" *ngIf="contentOpened">
		<!-- Tab panes -->
		<ngb-tabset [justify]="justified">
			<ngb-tab [title]="'Info' | translate:lang">
				<ng-template ngbTabContent>
					<div class="ne-tab-content">
						<evt-named-entity-detail *ngFor="let detail of entity.info"
							[icon]="detail.icon" [text]="detail.text" [label]="detail.label"></evt-named-entity-detail>
					</div>
				</ng-template>
			</ngb-tab>
			<ngb-tab [title]="'Occurrences' | translate:lang">
				<ng-template ngbTabContent>
					<div class="ne-tab-content">
						<span *ngFor="let occurrence of entity.occurrences"> {{ occurrence }} </span>
						<span *ngIf="entity.occurrences.length === 0">{{'NoOccurrences' | translate:lang}}</span>
					</div>
				</ng-template>
			</ngb-tab>
			<ngb-tab [title]="'XMLSource' | translate:lang">
				<ng-template ngbTabContent>
					<div class="ne-tab-content no-padding">
						<handy-syntax-highlighter language="markup" [content]="'\n'+entity.xml | xmlBeautify"></handy-syntax-highlighter>
					</div>
				</ng-template>
			</ngb-tab>
			<ngb-tab title="EVT JSON Model">
				<ng-template ngbTabContent>
					<div class="ne-tab-content no-padding">
						<pre>{{ entity | json }}</pre>
					</div>
				</ng-template>
			</ngb-tab>
		</ngb-tabset>
	</div>
</div>